// package_A/page/alltask/index.js
import {getPlatform, getAllTask } from '../../../api/task.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: "",
        list:[ {
            "id":"2",
            "tenantName":"江宁区河湖张办公室",
            "patrolLocation":"七乡河",
            "platformName":"河湖长眼管理平台",
            "taskStartName":"2022/8/1",
            "status":15,
            "isLive":0,
            "createTime":"2022/7/9"
        },
        {
            "id":"3",
            "tenantName":"江宁区河湖张办公室",
            "patrolLocation":"七乡河",
            "platformName":"河湖长眼管理平台",
            "taskStartName":"2022/8/1",
            "status":20,
            "isLive":0,
            "createTime":"2022/7/9"
        },
        {
            "id":"3",
            "tenantName":"江宁区河湖张办公室",
            "patrolLocation":"七乡河",
            "platformName":"河湖长眼管理平台",
            "taskStartName":"2022/8/1",
            "status":20,
            "isLive":0,
            "createTime":"2022/7/9"
        }],
        params: {},
        sortList:[
            {label: '由远及近', value: 1},
            {label: '由近到远', value: 2}
        ],
        statusList:[
            {label: '待接单', value: 10},
            {label: '已接单待飞行', value: 15},
            {label: '飞行中', value: 20},
            {label: '已完成', value: 25}
        ],
        platformOptions:[
            {label: '河湖长眼管理平台', value: 1},
            {label: '林场巡检平台', value: 2},
        ],
        sortCurrent: -1,
        statusCurrent: -1,
        platformCurrent: -1,
        date: ''
    },

    /**
     * 获取平台列表
     * @param {*} 
     */
    getPlatformData() {

    },

    /**
     * 选择
     * @param {*} e 
     */
    updatePicker(e) {
        const current = e.detail.current
        const type = e.target.dataset.type
        let params = this.data.params
        let value = this.data.sortList[current].value
        params[type] = value
        if(type === 'sort') {
            this.setData({
                sortCurrent: current
            })
        } else if(type === 'status') {
            this.setData({
                statusCurrent: current
            })
        } else if(type === 'platform') {
            this.setData({
                platformCurrent: current
            })
        }
        this.setData({
            params: params
        })
    },
    selectTime(e) {
        let value = e.detail.value
        let params = this.data.params
        params.taskStartTime = value
        this.setData({
            date: value,
            params
        })
    },

    /**
     * 跳转详情页
     * @param {*} e 
     */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
          url: '/package_A/page/TaskDetail/index?data=' + JSON.stringify(data),
        })
    }
})