// 任务状态
export const statusList = {
    10: {status: 10, text: '待接单', color: 'rgba(42, 130, 228, 1)'},
    15: {status: 15, text: '已接单', color: 'rgba(6, 138, 58, 1)'},
    20: {status: 20, text: '飞行中', color: 'rgba(255, 141, 26, 1)'},
    25: {status: 25, text: '已完成', color: '#666666'}
}
// 任务详情展示信息
export const messageList = [
    [
        {label: '任务执行时间', value: "taskStartTime", icon: ""},
        {label: '任务地点', value: "patrolLocation", icon: ""},
        {label: '任务发起人', value: "taskName", icon: ""},
        {label: '租户名称', value: "tenantName", icon: ""},
        {label: '备注', value: "createTime", icon: ""}
    ],
    [
        {label: '任务执行时间', value: "taskStartTime", icon: ""},
        {label: '任务地点', value: "patrolLocation", icon: ""},
        {label: '任务发起人', value: "taskName", icon: ""},
        {label: '租户名称', value: "tenantName", icon: ""},
        {label: '需要直播', value: "isLive", icon: ""},
        {label: '备注', value: "createTime", icon: ""}
    ]
]
// 表单验证
export const baseRules = {
    equipmentId: {
        name: '执飞无人机',
        rangeKey: 'label',
        value: 'equipmentId',
        validator: function (value) {
            return value;
        },
        placeholder: '请选择执飞无人机',
        warning: false
    },
    equipmentMountId: {
        name: '挂载设备',
        rangeKey: 'label',
        value: 'equipmentMountId',
        validator: function (value) {
            return value;
        },
        placeholder: '请选择挂载',
        warning: false
    },
    photographyWay: {
        name: '拍摄方式',
        rangeKey: 'label',
        value: 'photographyWay',
        validator: function (value) {
            return value;
        },
        placeholder: '请选择拍摄方式',
        warning: false
    }
}

export const orderRules = {
    cloudBoxId: {
        name: '盒子名称',
        rangeKey: 'label',
        value: 'cloudBoxId',
        validator: function (value) {
          return value;
        },
        placeholder: '请选择盒子名称',
        warning: false
    }
}